wibble::log Namespace Reference

## Classes

struct | FileSender
| Discard all messages. More...
struct | LevelFilter
| Log only messages whose level is >= minLevel. More...
struct | NullSender
| Discard all messages. More...
struct | OstreamSender
| Discard all messages. More...
struct | Sender
| Handle sending a log message. More...
class | Streambuf
| Streambuf class for logging. More...
struct | Tee
| Send the same message to multiple streams. More...
struct | Timestamper
| Prepend timestamps to log lines. More...

## Enumerations

enum | Level { DEBUG, INFO, UNUSUAL, WARN, ERR, CRIT }
| Urgency of a log message. More...

## Functions

std::ostream & | operator<< (std::ostream &s, Level lev)

## Enumeration Type Documentation

## Level

enum wibble::log::Level

Urgency of a log message.

Enumerator
DEBUG |
INFO |
UNUSUAL |
WARN |
ERR |
CRIT |

## Function Documentation

## operator<<()

std::ostream & wibble::log::operator<< | ( | std::ostream & | s,
|  | Level | lev
| ) |  |

References CRIT, DEBUG, ERR, INFO, UNUSUAL, and WARN.